Bug 1294454 - [abrt] pssh: pssh:93:do_pssh:ValueError: min() arg is an empty sequence
[abrt] pssh: pssh:93:do_pssh:ValueError: min() arg is an empty sequence
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pssh (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:2157dc4573ae5569fa057de1dc7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-28 04:26 EST by bitchecker
Modified: 2016-02-14 22:19 EST (History)
2 users (show)

See Also:
Fixed In Version: pssh-2.3.1-12.fc23 pssh-2.3.1-12.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-14 21:52:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.12 KB, text/plain)
2015-12-28 04:26 EST, bitchecker
no flags Details
File: environ (3.31 KB, text/plain)
2015-12-28 04:26 EST, bitchecker
no flags Details

  None (edit)
Description bitchecker 2015-12-28 04:26:46 EST
Version-Release number of selected component:
pssh-2.3.1-8.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python /usr/bin/pssh -h /media/Multimedia/Documenti/LAVORI/scailab/vms.txt -Ai yum distro-sync .y
executable:     /usr/bin/pssh
kernel:         4.2.8-300.fc23.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
pssh:93:do_pssh:ValueError: min() arg is an empty sequence

Traceback (most recent call last):
  File "/usr/bin/pssh", line 118, in <module>
    do_pssh(hosts, cmdline, opts)
  File "/usr/bin/pssh", line 93, in do_pssh
    if min(statuses) < 0:
ValueError: min() arg is an empty sequence

Local variables in innermost frame:
stdin: None
cmd: ['ssh', '192.168.99.4', '-o', 'NumberOfPasswordPrompts=1', '-o', 'SendEnv=PSSH_NODENUM PSSH_HOST', '-l', 'root', 'yum distro-sync .y']
manager: <psshlib.manager.Manager object at 0x7f4b22d7ec10>
cmdline: 'yum distro-sync .y'
host: '192.168.99.4'
hosts: [('192.168.99.6', None, 'root'), ('192.168.99.1', None, 'root'), ('192.168.99.3', None, 'root'), ('192.168.99.4', None, 'root')]
t: <psshlib.task.Task object at 0x7f4b22d7ed90>
opts: <Values at 0x7f4b22d8e050: {'send_input': None, 'par': 32, 'verbose': None, 'inline_stdout': None, 'extra': None, 'askpass': True, 'errdir': None, 'print_out': None, 'options': None, 'host_files': ['/media/Multimedia/Documenti/LAVORI/scailab/vms.txt'], 'user': None, 'timeout': 60, 'inline': True, 'host_strings': None, 'outdir': None}>
port: None
statuses: []
user: 'root'
Comment 1 bitchecker 2015-12-28 04:26:53 EST
Created attachment 1109993 [details]
File: backtrace
Comment 2 bitchecker 2015-12-28 04:26:54 EST
Created attachment 1109994 [details]
File: environ
Comment 3 Terje Røsten 2015-12-28 04:42:10 EST
Thanks for report.

What is contents of vms.txt file?

 
Should "yum distro-sync .y" be "yum distro-sync -y" ?
Comment 4 bitchecker 2015-12-28 05:02:21 EST
(In reply to Terje Røsten from comment #3)
> What is contents of vms.txt file?

in this file there are a list of server, once for line, as written on documentation

> Should "yum distro-sync .y" be "yum distro-sync -y" ?

yes, when i found my error, i've blocked with Ctrl+C the operation.
Comment 5 Fedora Update System 2016-02-05 12:11:23 EST
pssh-2.3.1-12.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0da5e79e4c
Comment 6 Fedora Update System 2016-02-05 12:11:23 EST
pssh-2.3.1-12.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-686a320694
Comment 7 Fedora Update System 2016-02-05 17:52:47 EST
pssh-2.3.1-12.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0da5e79e4c
Comment 8 Fedora Update System 2016-02-05 18:50:59 EST
pssh-2.3.1-12.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-686a320694
Comment 9 Fedora Update System 2016-02-14 21:52:26 EST
pssh-2.3.1-12.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-02-14 22:19:32 EST
pssh-2.3.1-12.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.